## yanc 0.3.3

=== Makefile ===
# Copyright 2011-2014 Arthur Noel
#
# This file is part of Yanc.
#
# Yanc is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# Yanc is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# Yanc. If not, see <http://www.gnu.org/licenses/>.

MAKEENV_VERSION = master
MAKEENV_ROOT = .makeenv-$(MAKEENV_VERSION)
MAKEENV_CORE = $(MAKEENV_ROOT)/makeenv.mak
ifeq ($(wildcard $(MAKEENV_CORE)),)
CURL ?= curl --fail --location
_BOOTSTRAP = mkdir -p $(MAKEENV_ROOT) && $(CURL) \
	https://github.com/0compute/makeenv/archive/$(MAKEENV_VERSION).tar.gz \
	| tar -C $(MAKEENV_ROOT) --strip-components=1 -xz
$(if $(shell (echo "$(_BOOTSTRAP)" && $(_BOOTSTRAP)) 1>&2 || echo x), \
	$(error Could not bootstrap makeenv))
endif
include $(MAKEENV_CORE)

=== debian/changelog ===
yanc (0.3.3-4) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * Update Vcs-* fields: Maintenance moved to Salsa
  * d/control: Remove ancient X-Python-Version field
  * Move package to Python Modules Team
  * Added upstream homepage
  * Bump Standards-Version to 4.5.1
  * Fixed package-uses-deprecated-debhelper-compat-version

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 12 Dec 2020 22:36:11 -0300

yanc (0.3.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938862
  * Dont fail if tests fail, work needs to be done to make them py3k compatible

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 17:45:12 -0500

yanc (0.3.3-3) unstable; urgency=low

  * python3 support (Closes: #850589)
    + Bump debhelper to 9

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 09 Jan 2017 22:36:23 -0200

yanc (0.3.3-2) unstable; urgency=low

  * Improving rules
    + Replaced 'override_dh_auto_build' with 'override_dh_auto_test'
  * Added README.Debian

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 26 Jan 2015 00:51:07 -0200

yanc (0.3.3-1) unstable; urgency=low

  * Initial debian version (Closes: #774911)

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 09 Jan 2015 11:08:29 -0200

=== debian/control ===
Source: yanc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Build-Depends: python3-all, python3-setuptools, debhelper-compat (= 13), dh-python, python3-nose
Homepage: https://github.com/0compute/yanc
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/yanc
Vcs-Git: https://salsa.debian.org/python-team/packages/yanc.git
Rules-Requires-Root: no

Package: python3-nose-yanc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Color output plugin for nose
 YANC is color output plugin for nose that plays nicely with others.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = nose-yanc

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	-nosetests3 yanc/test_yanc.py

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/yanc-$1\.tar\.gz/ \
  https://github.com/0compute/yanc/tags .*/v?(\d\S*)\.tar\.gz
